# Lookup using Auth

RKFL system offers Transaction lookup functionality. The merchant should have access token to call Transaction lookup API, Authentication API can be used to get access token.

<mark style="color:green;">`POST`</mark> `/purchase/transactionLookup`

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + merchant access token |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                 |

#### Request Body

| Name                                   | Type   | Description                                                                      |
| -------------------------------------- | ------ | -------------------------------------------------------------------------------- |
| txId<mark style="color:red;">\*</mark> | String |                                                                                  |
| type                                   | String | <p>Allowed values:</p><p>     'TXID', 'ORDERID'<br><br>Default value: 'TXID'</p> |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
    "ok": true,
    "result": {
        "id": "f84d01c4-587f-496f-8b7e-6bad916e95dd",
        "status": 1,
        "meta": {
            "hash": {
                "value": [
                    "66ce480ab083bc352dc852f440a3d671afde583d44da8b7ca2288225ff46aae2",
                    "5fcb0933fea8b80080c5f4ed2f4786b1acc5b33bbd71327dff6e0add96a4031d"
                ],
                "network": "ethereum"
            },
            "offerId": "DEFG123"
            "receiverAddress": "0xEcb977e1d467FC5f8Deb0f0dc4D7b7D0E96Fa6F9"
        },
        "totalAmount": "0.00130036",
        "receivedAmount": "0.0015",
        "currency": "USD",
        "crytoCurrency": "ETH"
    }
}
```

{% endtab %}
{% endtabs %}

For more information on transaction statuses, [click here](/developer-guides/api-reference/payins/rocketfuel-ui-integration/transaction-statuses.md) to access the full guide.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/rocketfuel-ui-integration/transaction-lookup/lookup-using-auth.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
